<?php
if (!defined("ROOT_PATH"))
{
    header("HTTP/1.1 403 Forbidden");
    exit;
}

class pjBookingGoogleEventsModel extends pjAppModel
{
    protected $primaryKey = 'id';
    
    protected $table = 'booking_google_events';
    
    protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
        array('name' => 'booking_id', 'type' => 'int', 'default' => ':NULL'),
        array('name' => 'google_event_id', 'type' => 'string', 'default' => ':NULL'),
        array('name' => 'google_event_link', 'type' => 'string', 'default' => ':NULL'),
        array('name' => 'google_calendar', 'type' => 'string', 'default' => 'primary'),
        array('name' => 'sync_status', 'type' => 'enum', 'default' => 'pending'),
        array('name' => 'created_at', 'type' => 'datetime', 'default' => ':NOW()'),
        array('name' => 'updated_at', 'type' => 'datetime', 'default' => ':NOW()')
    );
    
    public static function factory($attr = array())
    {
        return new pjBookingGoogleEventsModel($attr);
    }
}
?>
